Subject: [Sipping] draft-ietf-sipping-media-policy-dataset: Bandwidth limitations

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 9 May 2011 15:26:25 -0400

The media-policy-dataset provides 3 different bandwidth limitations:

max-bw
max-session-bw
max-stream-bw

Comparing the description of these (section 7.3 et seq.) with the description of
the b= line in SDP (RFC 4566 section 5.8) turns up a lot of ambiguity in the
definitions.

It seems to me to be clear that the max-stream-bw number corresponds to the "b=AS:..." line
in an SDP media description -- the bandwidth used by one direction of one media
stream.

The max-session-bw seems to correspond to the "b=AS:..." line in the *session* description,
the total bandwidth used (in one direction) by the whole session.

The max-bw number is less clear.  It seems to be intended to limit the total bandwidth used
by an agent (across all of the sessions it participates in).  As such, it can't be translated to
an SDP attribute.

Conversely, the "b=CT:..." line in an SDP session description seems to be intended to
describe the total bandwidth used by a "conference" (whatever that is).  It's not clear
what the significance of that is exactly, since the agent in question may not be the conference
focus, and indeed, the session may not be part of a "conference".

Thoughts?

Dale

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Tue, 10 May 2011 15:54:27 -0400

I see commented-out text about these bandwidth descriptions:

    The <max-bw-ti> Element

      The <max-bw-ti> element defined as the <max-bw>
      element with the following exceptions.
      
      The given bandwidth limit is transport independent and
      therefore does not include include the bandwidth needed for
      lower-layer transport and network protocols (e.g., UDP and
      IP).

      The bandwidth limit is given in bits per second (i.e., not in 
      kilobits per second).

      The <max-bw-ti> element MAY have the following
      attribute (see <xref target="sec_attributes" />): pprate.  

   The maxprate attribute

      The <max-bw-ti> element has an optional attribute
      'maxprate'. The "maxprate" value is the maximum packet rate
      calculated over all the declared media streams.  If this can't
      be measured (stored media) or estimated (live), the sum of all
      media level values provides a ceiling value.

      All other attributes and merging rules are defined as for the 
      <max-bw> element.

Do people think these data are significant, or can they be safely omitted from
the media-policy-dataset?

Dale

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Wed, 11 May 2011 18:10:21 -0400

I have updated the definition of the <max-stream-bw> element to remove
the "label" and "media-type" attributes, which in the previous version
were used to limit the effect of the bandwidth limitation to
particular media types or one particular stream.

Doing this makes <max-stream-bw> work the same way as other elements.

Limiting the bandwidth for streams of a particular media type can be
done by the usual method of a <stream> that has both <media-type> and
<max-stream-bw> children:

    <session-policy>
      <stream>
	<media-type>video</media-type>
	<max-stream-bw>1000</max-stream-bw>
      </stream>
    </session-policy>

Dale